Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1654038 - quassel-0.13.0 is available
Summary: quassel-0.13.0 is available
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: quassel
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christian Dersch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-27 21:44 UTC by Chris Egeland
Modified: 2019-07-18 21:03 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-18 21:03:38 UTC
Type: Bug


Attachments (Terms of Use)

Description Chris Egeland 2018-11-27 21:44:26 UTC
For some reason, release-monitoring didn't autofile this bug a couple of weeks ago.

Quassel 0.13.0 is available. Current version in F29 is 0.12.5. Please update the packages in Fedora for the new version.

I'm aware that there's already a build of 0.13.0 in rawhide.

Website URL: https://quassel-irc.org/

Thanks!

Comment 1 Christian Dersch 2019-01-14 19:57:08 UTC
From 0.13 release announcement I see some significant changes, I'm unsure about an upgrade and would recommend come copr repository instead:

Before you upgrade, please be aware that both the database schema and the config file formats have been updated since 0.12. Quassel will automatically upgrade both once the new version is started for the first time, however no rollback is possible, so do make a backup before starting the new version! The upgrade may take a long time (up to several hours) if your database is (un)reasonably large, during which the core or mono client cannot be used. The upgrade may also temporarily require up to double the disk space. Do not interrupt the upgrade process, otherwise your database may become corrupted!

Comment 2 Ben Rosser 2019-01-14 20:01:05 UTC
Indeed, this is why I avoided building 0.13 for anything other than Rawhide.

I think providing a copr for F28-F29 and EPEL7 makes sense. For the Fedora releases, I think we can just rebuild the Rawhide quassel spec without any changes? Not sure that will work out of the box for EPEL though.

(I guess, alternatively, that this is a potential use case for modularity? Though it would not help with EPEL 7 of course).

Comment 3 Ben Rosser 2019-01-14 20:49:51 UTC
I've built quassel 0.13 (using the Rawhide package) in a copr here, if you would like to use it:

https://copr.fedorainfracloud.org/coprs/tc01/quassel-0.13/

There's not an EPEL build here (yet) though.

Comment 4 Ben Rosser 2019-01-24 14:43:07 UTC
I've updated the linked copr repository with an EPEL 7 build.

I just took the current epel7 spec, updated to 0.13, and added "-DUSE_QT5=OFF -DUSE_QT4=ON" to the cmake options (as in 0.13, qt5 has become the default. 0.13.x is planned to be the last series that supports qt4).

Comment 5 Ben Rosser 2019-07-18 21:03:38 UTC
I think this ticket can be closed. quassel 0.13.1 is in Fedora 30, which has been out for a bit now. :)


Note You need to log in before you can comment on or make changes to this bug.